<html lang="en">
<head>
<title>Global environment - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Input-language.html#Input-language" title="Input language">
<link rel="prev" href="Definitions.html#Definitions" title="Definitions">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Global-environment"></a>Previous:&nbsp;<a rel="previous" accesskey="p" href="Definitions.html#Definitions">Definitions</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Input-language.html#Input-language">Input language</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">3.4 Global environment</h3>

<p>An optional global environment block provides a few ways to affect the
entire scene.  The block must appear as the last text in the
<code>sketch</code> input file.  It may include definitions, but note
that previous definitions at the top level (not nested inside
blocks) are also available.

<p class="noindent"><strong>Syntax:</strong>
<a name="index-global-370"></a>
<pre class="example">     global { <var>environment_settings</var> }
</pre>
   <p class="noindent">The contents of <var>environment_settings</var> are discussed in the
sections that follow.

<ul class="menu">
<li><a accesskey="1" href="Global-options.html#Global-options">Global options</a>:               Attributes of the entire drawing. 
<li><a accesskey="2" href="Camera.html#Camera">Camera</a>:                       A final camera transformation of the scene. 
<li><a accesskey="3" href="Picture-box.html#Picture-box">Picture box</a>:                  Setting the bounding box and 2d clipping. 
<li><a accesskey="4" href="Frame.html#Frame">Frame</a>:                        Adding a box around the drawing. 
<li><a accesskey="5" href="Language.html#Language">Language</a>:                     Setting the output language. 
</ul>

   </body></html>

